% Main for the experiment over 8 realizations of building
% Intensity format and L=1 for simulated SAR images
% This demo shows results for kuan filter (5x5 window)
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 
% Copyright (c) 2013 Image Processing Research Group of University Federico II of Naples ('GRIP-UNINA').
% All rights reserved.
% this software should be used, reproduced and modified only for informational and nonprofit purposes.
% 
% By downloading and/or using any of these files, you implicitly agree to all the
% terms of the license, as specified in the document LICENSE.txt
% (included in this package) and online at
% http://www.grip.unina.it/download/LICENSE_OPEN.txt
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

clear all; close all; clc;

load building_clean;
load building_noisy;

for i=1:8, 
    y(:,:,i) = kuan(z(:,:,i),1,2);
    [C_DR(i), BS(i)] = building_measures(x,y(:,:,i),z(:,:,i));
end

format compact;
disp(sprintf('C_DR = %0.4g', mean(C_DR)));
disp(sprintf('BS = %0.4g', mean(BS)));

% display
ratio = z(:,:,1)./y(:,:,1);
figure(2); imshow(ratio,[0 7]);
title('ratio');